Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgParticle::VariableRateCounter Class Reference

Inheritance diagram for osgParticle::VariableRateCounter:

[legend]
List of all members.

## Public Member Functions
| VariableRateCounter ()
| VariableRateCounter (const VariableRateCounter &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
virtual bool | isSameKindAs (const osg::Object *obj) const
const rangef & | getRateRange () const
void | setRateRange (const rangef &r)
void | setRateRange (float minrange, float maxrange)
## Protected Member Functions
virtual | ~VariableRateCounter ()

## Constructor & Destructor Documentation

osgParticle::VariableRateCounter::VariableRateCounter | ( |  | ) | `[inline]`

osgParticle::VariableRateCounter::VariableRateCounter | ( | const VariableRateCounter & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) | `[inline]`

virtual osgParticle::VariableRateCounter::~VariableRateCounter | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual const char* osgParticle::VariableRateCounter::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Reimplemented from osgParticle::Counter.

const rangef & osgParticle::VariableRateCounter::getRateRange | ( |  | ) | const`[inline]`

virtual bool osgParticle::VariableRateCounter::isSameKindAs | ( | const osg::Object * | obj | ) | const`[inline, virtual]`

| Reimplemented from osgParticle::Counter.

virtual const char* osgParticle::VariableRateCounter::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Reimplemented from osgParticle::Counter.

void osgParticle::VariableRateCounter::setRateRange | ( | float | minrange,
|  | float | maxrange
| ) | `[inline]`

void osgParticle::VariableRateCounter::setRateRange | ( | const rangef & | r | ) | `[inline]`

The documentation for this class was generated from the following file:

- VariableRateCounter